module DepInfo
       ( DepInfo(..),
         depInfoUpToDate
       )
       where

data DepInfo = DepInfo { depInfoFilePath :: FilePath
                       , depInfoSavedMD5 :: Maybe String
                       , depInfoCurrentMD5 :: Maybe String
                       }
             deriving Show

-- | Returns true if the dependency has not changed since the last
-- recording.
depInfoUpToDate :: DepInfo -> Bool
depInfoUpToDate di =
  depInfoSavedMD5 di == depInfoCurrentMD5 di
