#!/bin/sh

# build a default .o file from haskell source

set -e

BASENAME=$2

gdo --if Created environment
gdo --if Changed $2.hs
gdo --if Changed build_util.sh

source ./build_util.sh

if [ -e environment ]; then
    source ./environment
fi

TEMPMAKEFILE=$(mktemp)

trap "rm ${TEMPMAKEFILE} -rf" EXIT SIGTERM SIGINT

${HC} $2.hs -M -dep-suffix '' -dep-makefile ${TEMPMAKEFILE}
DEPS=$(cat ${TEMPMAKEFILE} | filter_comments | extract_object_deps $2)
set +e
OBJECTS=$(echo ${DEPS} | grep -E "\.o")
set -e
gdo --if Changed ${DEPS}
${HC} -fforce-recomp -c $2.hs -o $3

